'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');

const MxAvatar = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.icon = '';
    this.imageUrl = '';
    this.fullName = '';
  }
  get avatarType() {
    if (this.imageUrl.trim())
      return 'image';
    if (this.icon.trim())
      return 'icon';
    if (this.fullName.trim())
      return 'monogram';
  }
  get initials() {
    if (this.avatarType !== 'monogram')
      return '';
    const names = this.fullName.trim().split(' ');
    if (names.length === 1)
      return names[0].charAt(0);
    return names[0].charAt(0) + names[names.length - 1].charAt(0);
  }
  connectedCallback() {
    if (!this.avatarType)
      console.error('mx-avatar requires either an image, icon, or full name.');
    if (this.fullName && !this.element.getAttribute('aria-label'))
      this.element.setAttribute('aria-label', this.fullName);
  }
  render() {
    return (index.h(index.Host, { class: 'mx-avatar avatar-' + this.avatarType }, this.avatarType == 'image' && index.h("img", { src: this.imageUrl.trim(), alt: "", class: "w-full h-full object-cover" }), this.avatarType == 'icon' && index.h("i", { class: this.icon.trim(), role: "presentation" }), this.avatarType == 'monogram' && index.h("div", { class: "truncate uppercase" }, this.initials)));
  }
  get element() { return index.getElement(this); }
};

exports.mx_avatar = MxAvatar;

//# sourceMappingURL=mx-avatar.cjs.entry.js.map