'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');
const utils = require('./utils-3ac69d07.js');

const MxBlockSearch = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.mxClear = index.createEvent(this, "mxClear", 7);
    this.mxSearch = index.createEvent(this, "mxSearch", 7);
    this.dataAttributes = {};
    this.componentWillRender = utils.propagateDataAttributes;
    this.assistiveText = undefined;
    this.autofocus = false;
    this.colspan = undefined;
    this.disabled = false;
    this.error = false;
    this.inputId = undefined;
    this.label = undefined;
    this.maxlength = undefined;
    this.name = undefined;
    this.placeholder = undefined;
    this.readonly = false;
    this.searchButtonType = 'button';
    this.value = undefined;
  }
  onSearchClick() {
    this.mxSearch.emit(this.value);
  }
  render() {
    return (index.h(index.Host, { class: "mx-block-search contents" }, index.h("mx-block-input", Object.assign({ type: "search", assistiveText: this.assistiveText, autofocus: this.autofocus, colspan: this.colspan, disabled: this.disabled, error: this.error, inputId: this.inputId, maxlength: this.maxlength, label: this.label, name: this.name, placeholder: this.placeholder, readonly: this.readonly, value: this.value, onInput: (e) => (this.value = e.target.value), onMxClear: this.mxClear.emit.bind(this) }, this.dataAttributes), index.h("slot", { name: "label", slot: "label" }), index.h("mx-button", { slot: "button", type: this.searchButtonType, class: !this.value ? 'hidden' : '', hug: true, small: true, "data-testid": "search-button", onClick: this.onSearchClick.bind(this) }, "Search"))));
  }
  get element() { return index.getElement(this); }
};

exports.mx_block_search = MxBlockSearch;

//# sourceMappingURL=mx-block-search.cjs.entry.js.map