'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');

const MxSelectionCardGroup = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.name = undefined;
    this.value = undefined;
  }
  async onValueChange() {
    this.updateCards();
    if (this.name) {
      await new Promise(requestAnimationFrame);
      const input = this.element.querySelector('input');
      if (input)
        input.dispatchEvent(new Event('input', { bubbles: true }));
    }
  }
  connectedCallback() {
    this.updateCards();
  }
  onCardSelect(e) {
    const isSelected = e.detail;
    if (!isSelected) {
      this.value = undefined;
    }
    else {
      const card = e.target.closest('mx-selection-card, mx-library-selection-card');
      if (card && !card.disabled)
        this.value = card.value;
    }
  }
  updateCards() {
    const cards = this.element.querySelectorAll('mx-selection-card, mx-library-selection-card');
    cards.forEach(card => {
      card.selected = card.value === this.value;
    });
  }
  render() {
    return (index.h(index.Host, { class: "flex flex-wrap gap-10" }, index.h("slot", null), this.name && index.h("input", { type: "hidden", name: this.name, value: this.value })));
  }
  get element() { return index.getElement(this); }
  static get watchers() { return {
    "value": ["onValueChange"]
  }; }
};

exports.mx_selection_card_group = MxSelectionCardGroup;

//# sourceMappingURL=mx-selection-card-group.cjs.entry.js.map