'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');
const utils = require('./utils-3ac69d07.js');

const MxSelectionCard = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.mxSelect = index.createEvent(this, "mxSelect", 7);
    this.uuid = utils.uuidv4();
    this.description = undefined;
    this.disabled = false;
    this.elAriaLabel = undefined;
    this.imageUrl = undefined;
    this.label = undefined;
    this.selected = false;
    this.value = undefined;
  }
  toggle() {
    if (this.disabled)
      return;
    this.selected = !this.selected;
    this.mxSelect.emit(this.selected);
  }
  get hostClass() {
    let str = 'mx-selection-card flex items-center justify-center relative p-20 border rounded-sm transform';
    if (this.selected) {
      str += ' selected shadow-drop -translate-y-2';
    }
    else {
      str += ' hover:shadow-drop hover:-translate-y-2';
    }
    return str;
  }
  render() {
    return (index.h(index.Host, { class: this.hostClass }, this.selected && (index.h("i", { class: "selection-card-checked mds-check-circle text-3 absolute top-30 right-30", role: "presentation", "data-testid": "check" })), index.h("div", { class: "flex flex-col items-center" }, index.h("div", { class: "h-60", "data-testid": "image" }, index.h("slot", { name: "image" }, this.imageUrl && index.h("img", { src: this.imageUrl, alt: "" }))), index.h("p", { class: "selection-card-label my-0 mt-40", id: this.uuid + '-label', "data-testid": "label" }, index.h("slot", { name: "label" }, this.label)), index.h("div", { class: "my-0 mt-20 mb-40 flex-1 text-center leading-tight tracking-0-4", id: this.uuid + '-description', "data-testid": "description" }, index.h("slot", { name: "description" }, this.description)), index.h("mx-button", { class: "selection-card-button", disabled: this.disabled, "el-aria-label": this.elAriaLabel, "el-aria-labelledby": this.uuid + '-label', "el-aria-describedby": this.uuid + '-description', "el-aria-pressed": this.selected ? 'true' : 'false', onClick: this.toggle.bind(this) }, this.selected ? 'Selected' : 'Select'))));
  }
};

exports.mx_selection_card = MxSelectionCard;

//# sourceMappingURL=mx-selection-card.cjs.entry.js.map