'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');

const COLLAPSE_TEXT_HEIGHT = '1.5em';
const MxTimelineCard = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.hasStatus = false;
    this.statusColor = undefined;
  }
  componentWillRender() {
    this.hasStatus = !!this.element.querySelector('[slot="status"]');
  }
  expandText() {
    this.cardTextEl.classList.remove('truncate');
    const twoLines = 2 * parseInt(getComputedStyle(this.cardTextEl).lineHeight);
    const expandHeight = Math.max(twoLines, this.cardTextEl.scrollHeight);
    this.cardTextEl.style.height = expandHeight + 'px';
  }
  collapseText() {
    this.cardTextEl.style.height = COLLAPSE_TEXT_HEIGHT;
    this.cardTextEl.classList.add('truncate');
  }
  render() {
    return (index.h(index.Host, { class: "mx-timeline-card", role: "listitem", style: { '--mds-timeline-card-status-color': this.statusColor }, tabindex: "0", onMouseOver: () => this.expandText(), onFocus: () => this.expandText(), onMouseOut: () => this.collapseText(), onBlur: () => this.collapseText() }, index.h("div", { class: "flex items-center w-24", role: "presentation" }, index.h("div", { class: "timeline-card-hook" })), index.h("div", { class: "w-10 rounded-l", role: "presentation", style: { backgroundColor: this.statusColor }, "data-testid": "status-indicator" }), index.h("div", { class: "timeline-card-content rounded-r overflow-hidden" }, index.h("div", { class: "timeline-card-date text-small font-bold uppercase" }, index.h("slot", { name: "date" })), index.h("div", { ref: el => (this.cardTextEl = el), class: "timeline-card-text break-anywhere truncate", style: { height: COLLAPSE_TEXT_HEIGHT } }, index.h("slot", null)), this.hasStatus && (index.h("div", { class: "timeline-card-status" }, index.h("slot", { name: "status" }))))));
  }
  get element() { return index.getElement(this); }
};

exports.mx_timeline_card = MxTimelineCard;

//# sourceMappingURL=mx-timeline-card.cjs.entry.js.map