import { Host, h } from "@stencil/core";
import { propagateDataAttributes } from "../../utils/utils";
export class MxBlockWrapper {
  constructor() {
    this.componentWillRender = propagateDataAttributes;
    this.columns = undefined;
  }
  get containerClass() {
    let str = 'mx-block-wrapper-container';
    if (this.columns > 0 && this.columns < 7) {
      str += ' md:grid-cols-' + this.columns;
    }
    else {
      str += ' md:grid-cols-none';
    }
    return str;
  }
  render() {
    return (h(Host, { class: 'mx-block-wrapper' }, h("div", { class: this.containerClass }, h("slot", null))));
  }
  static get is() { return "mx-block-wrapper"; }
  static get properties() {
    return {
      "columns": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "columns",
        "reflect": false
      }
    };
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=mx-block-wrapper.js.map
