import { Host, h } from "@stencil/core";
import { moveToPortal } from "../../utils/portal";
export class MxFloatingToolbar {
  constructor() {
    this.portal = false;
  }
  componentWillLoad() {
    this.element.querySelectorAll('mx-button').forEach((button) => {
      button.btnType = 'contained';
      button.hug = true;
    });
  }
  componentDidLoad() {
    if (this.portal)
      moveToPortal(this.element);
  }
  render() {
    return (h(Host, { role: "toolbar", class: "mx-floating-toolbar grid h-60 fixed bottom-10 left-10 right-10 max-w-sm mx-auto rounded-md overflow-hidden" }, h("slot", null)));
  }
  static get is() { return "mx-floating-toolbar"; }
  static get properties() {
    return {
      "portal": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "Set to true to move the toolbar to a root level \"portal\" container (to break out of any stacking contexts)."
        },
        "attribute": "portal",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=mx-floating-toolbar.js.map
