import { newSpecPage } from "@stencil/core/testing";
import { MxFloatingToolbar } from "../mx-floating-toolbar";
describe('mx-floating-toolbar', () => {
  let page;
  let root;
  beforeEach(async () => {
    page = await newSpecPage({
      components: [MxFloatingToolbar],
      html: `
      <mx-floating-toolbar>
        <mx-button>Test 1</mx-button>
        <mx-button>Test 2</mx-button>
        <mx-button>Test 3</mx-button>
      </mx-floating-toolbar>
      `,
    });
    root = page.root;
  });
  it('renders the slot content', async () => {
    expect(root.children).toHaveLength(3);
    expect(root.innerHTML).toContain('Test 1');
    expect(root.innerHTML).toContain('Test 2');
    expect(root.innerHTML).toContain('Test 3');
  });
  it('is not moved to portal by default', () => {
    expect(root.parentElement.tagName).toBe('BODY');
  });
});
describe('mx-floating-toolbar (portal)', () => {
  let page;
  let root;
  beforeEach(async () => {
    page = await newSpecPage({
      components: [MxFloatingToolbar],
      html: `
      <mx-floating-toolbar portal>
        <mx-button>Test 1</mx-button>
        <mx-button>Test 2</mx-button>
        <mx-button>Test 3</mx-button>
      </mx-floating-toolbar>
      `,
    });
    root = page.root;
  });
  it('is moved to the portal when portal prop is set', () => {
    expect(root.parentElement.getAttribute('class')).toContain('portal');
  });
});
//# sourceMappingURL=mx-floating-toolbar.spec.js.map
