import { Host, h } from "@stencil/core";
export class MxSubmenu {
  constructor() {
    this.tabs = undefined;
    this.value = null;
  }
  componentDidLoad() {
    if (this.mxTabs)
      this.mxTabs.menuButton = this.menuButton;
  }
  render() {
    return (h(Host, { class: "mx-submenu relative flex h-60 rounded" }, h("div", { class: "flex-1 overflow-hidden mx-20" }, this.tabs && this.tabs.length && (h("mx-tabs", { ref: el => (this.mxTabs = el), submenu: true, tabs: this.tabs, value: this.value, onMxChange: e => this.mxChange.emit(e.detail) }, h("slot", { name: "menu", slot: "menu" })))), this.tabs && this.tabs.length && (h("button", { ref: el => (this.menuButton = el), "aria-label": "Show navigation menu", class: "hidden h-60 w-60 flex-shrink-0 items-center justify-center leading-none" }, h("i", { class: "mds-list text-2" })))));
  }
  static get is() { return "mx-submenu"; }
  static get properties() {
    return {
      "tabs": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "IMxTabProps[]",
          "resolved": "IMxTabProps[]",
          "references": {
            "IMxTabProps": {
              "location": "import",
              "path": "../mx-tab/mx-tab",
              "id": "src/components/mx-tab/mx-tab.tsx::IMxTabProps"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "An array of objects for each tab (see Tab Properties)"
        }
      },
      "value": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The index of the selected tab (if not setting an `href` for each tab)"
        },
        "attribute": "value",
        "reflect": false,
        "defaultValue": "null"
      }
    };
  }
  static get events() {
    return [{
        "method": "mxChange",
        "name": "mxChange",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": "Emits the newly selected tab's index as `Event.detail`"
        },
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        }
      }];
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=mx-submenu.js.map
