import "../../../utils/matchMedia.mock";
import { newSpecPage } from "@stencil/core/testing";
import { MxSubmenu } from "../mx-submenu";
import { MxTabs } from "../../mx-tabs/mx-tabs";
import { MxTab } from "../../mx-tab/mx-tab";
import { MxMenu } from "../../mx-menu/mx-menu";
import { MxMenuItem } from "../../mx-menu-item/mx-menu-item";
describe('mx-submenu', () => {
  let page;
  let root;
  let tabs;
  beforeEach(async () => {
    page = await newSpecPage({
      components: [MxSubmenu, MxTabs, MxTab, MxMenu, MxMenuItem],
      html: `<mx-tabs />`,
    });
    page.root.tabs = [{ label: 'Home' }, { label: 'Search' }];
    await page.waitForChanges();
    root = page.root;
    tabs = root.querySelectorAll('mx-tab');
  });
  it('sets a tab as selected based on the value prop', async () => {
    expect(tabs[1].selected).toBe(false);
    root.value = 1;
    await page.waitForChanges();
    expect(tabs[1].selected).toBe(true);
  });
  it('emits an mxChange event when a tab is clicked', async () => {
    let emittedValue;
    root.addEventListener('mxChange', (e) => (emittedValue = e.detail));
    tabs[1].click();
    expect(emittedValue).toBe(1);
  });
});
//# sourceMappingURL=mx-submenu.spec.js.map
