import { Host, h } from "@stencil/core";
export class MxTableCell {
  constructor() {
    this.columnIndex = undefined;
    this.heading = undefined;
  }
  render() {
    return (h(Host, { role: "gridcell", "aria-describedby": this.columnIndex != null ? `column-header-${this.columnIndex}` : null, class: "mx-table-cell flex flex-1 items-center min-w-min overflow-y-hidden" }, h("div", null, h("div", { class: "min-h-16 max-w-full whitespace-normal", role: this.columnIndex == null ? 'heading' : null, "aria-level": this.columnIndex == null ? '1' : null }, h("slot", null)))));
  }
  static get is() { return "mx-table-cell"; }
  static get properties() {
    return {
      "columnIndex": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "This is automatically set by the parent `mx-table`.  For subheaders, this will be null."
        },
        "attribute": "column-index",
        "reflect": true
      },
      "heading": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "This is automatically set by the parent `mx-table`."
        },
        "attribute": "heading",
        "reflect": false
      }
    };
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=mx-table-cell.js.map
