import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { p as propagateDataAttributes } from './utils.js';
import { d as defineCustomElement$3 } from './mx-block-input2.js';
import { d as defineCustomElement$2 } from './mx-button2.js';

const MxBlockSearch$1 = proxyCustomElement(class MxBlockSearch extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.mxClear = createEvent(this, "mxClear", 7);
    this.mxSearch = createEvent(this, "mxSearch", 7);
    this.dataAttributes = {};
    this.componentWillRender = propagateDataAttributes;
    this.assistiveText = undefined;
    this.autofocus = false;
    this.colspan = undefined;
    this.disabled = false;
    this.error = false;
    this.inputId = undefined;
    this.label = undefined;
    this.maxlength = undefined;
    this.name = undefined;
    this.placeholder = undefined;
    this.readonly = false;
    this.searchButtonType = 'button';
    this.value = undefined;
  }
  onSearchClick() {
    this.mxSearch.emit(this.value);
  }
  render() {
    return (h(Host, { class: "mx-block-search contents" }, h("mx-block-input", Object.assign({ type: "search", assistiveText: this.assistiveText, autofocus: this.autofocus, colspan: this.colspan, disabled: this.disabled, error: this.error, inputId: this.inputId, maxlength: this.maxlength, label: this.label, name: this.name, placeholder: this.placeholder, readonly: this.readonly, value: this.value, onInput: (e) => (this.value = e.target.value), onMxClear: this.mxClear.emit.bind(this) }, this.dataAttributes), h("slot", { name: "label", slot: "label" }), h("mx-button", { slot: "button", type: this.searchButtonType, class: !this.value ? 'hidden' : '', hug: true, small: true, "data-testid": "search-button", onClick: this.onSearchClick.bind(this) }, "Search"))));
  }
  get element() { return this; }
}, [4, "mx-block-search", {
    "assistiveText": [1, "assistive-text"],
    "autofocus": [4],
    "colspan": [2],
    "disabled": [4],
    "error": [1540],
    "inputId": [1, "input-id"],
    "label": [1],
    "maxlength": [2],
    "name": [1],
    "placeholder": [1],
    "readonly": [4],
    "searchButtonType": [1, "search-button-type"],
    "value": [1025]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-block-search", "mx-block-input", "mx-button"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-block-search":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxBlockSearch$1);
      }
      break;
    case "mx-block-input":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "mx-button":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const MxBlockSearch = MxBlockSearch$1;
const defineCustomElement = defineCustomElement$1;

export { MxBlockSearch, defineCustomElement };

//# sourceMappingURL=mx-block-search.js.map