import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { p as propagateDataAttributes } from './utils.js';

const MxBlockWrapper$1 = proxyCustomElement(class MxBlockWrapper extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.componentWillRender = propagateDataAttributes;
    this.columns = undefined;
  }
  get containerClass() {
    let str = 'mx-block-wrapper-container';
    if (this.columns > 0 && this.columns < 7) {
      str += ' md:grid-cols-' + this.columns;
    }
    else {
      str += ' md:grid-cols-none';
    }
    return str;
  }
  render() {
    return (h(Host, { class: 'mx-block-wrapper' }, h("div", { class: this.containerClass }, h("slot", null))));
  }
  get element() { return this; }
}, [4, "mx-block-wrapper", {
    "columns": [2]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-block-wrapper"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-block-wrapper":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxBlockWrapper$1);
      }
      break;
  } });
}

const MxBlockWrapper = MxBlockWrapper$1;
const defineCustomElement = defineCustomElement$1;

export { MxBlockWrapper, defineCustomElement };

//# sourceMappingURL=mx-block-wrapper.js.map