import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { m as moveToPortal } from './portal.js';

const MxFloatingToolbar$1 = proxyCustomElement(class MxFloatingToolbar extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.portal = false;
  }
  componentWillLoad() {
    this.element.querySelectorAll('mx-button').forEach((button) => {
      button.btnType = 'contained';
      button.hug = true;
    });
  }
  componentDidLoad() {
    if (this.portal)
      moveToPortal(this.element);
  }
  render() {
    return (h(Host, { role: "toolbar", class: "mx-floating-toolbar grid h-60 fixed bottom-10 left-10 right-10 max-w-sm mx-auto rounded-md overflow-hidden" }, h("slot", null)));
  }
  get element() { return this; }
}, [4, "mx-floating-toolbar", {
    "portal": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-floating-toolbar"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-floating-toolbar":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxFloatingToolbar$1);
      }
      break;
  } });
}

const MxFloatingToolbar = MxFloatingToolbar$1;
const defineCustomElement = defineCustomElement$1;

export { MxFloatingToolbar, defineCustomElement };

//# sourceMappingURL=mx-floating-toolbar.js.map