import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { p as propagateDataAttributes } from './utils.js';

const MxRadio$1 = proxyCustomElement(class MxRadio extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.dataAttributes = {};
    this.componentWillRender = propagateDataAttributes;
    this.name = '';
    this.value = '';
    this.labelClass = '';
    this.labelName = '';
    this.checked = false;
    this.userchecked = false;
    this.disabled = false;
  }
  onInput(e) {
    this.checked = this.userchecked = e.target.checked;
  }
  get radioClass() {
    let str = 'flex h-20 w-20 flex-shrink-0 rounded-full';
    if (!this.disabled)
      str += ' cursor-pointer';
    str += this.userchecked ? ' userchecked' : '';
    return str;
  }
  get labelClassNames() {
    let str = 'relative inline-flex flex-nowrap align-center items-center text-4';
    if (!this.disabled)
      str += ' cursor-pointer';
    if (this.labelClass)
      str += ' ' + this.labelClass;
    return str;
  }
  render() {
    return (h(Host, { class: "mx-radio inline-block" }, h("label", { class: this.labelClassNames }, h("input", Object.assign({ class: "absolute h-0 w-0 opacity-0", type: "radio", name: this.name, value: this.value, checked: this.checked, disabled: this.disabled }, this.dataAttributes, { onInput: this.onInput.bind(this) })), h("span", { class: this.radioClass }), h("div", { class: "radio-label ml-16 inline-block", "data-testid": "labelName" }, this.labelName))));
  }
  get element() { return this; }
}, [0, "mx-radio", {
    "name": [1],
    "value": [1],
    "labelClass": [1, "label-class"],
    "labelName": [1, "label-name"],
    "checked": [1028],
    "userchecked": [1028],
    "disabled": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-radio"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-radio":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxRadio$1);
      }
      break;
  } });
}

const MxRadio = MxRadio$1;
const defineCustomElement = defineCustomElement$1;

export { MxRadio, defineCustomElement };

//# sourceMappingURL=mx-radio.js.map