import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const MxSelectionCardGroup$1 = proxyCustomElement(class MxSelectionCardGroup extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.name = undefined;
    this.value = undefined;
  }
  async onValueChange() {
    this.updateCards();
    if (this.name) {
      await new Promise(requestAnimationFrame);
      const input = this.element.querySelector('input');
      if (input)
        input.dispatchEvent(new Event('input', { bubbles: true }));
    }
  }
  connectedCallback() {
    this.updateCards();
  }
  onCardSelect(e) {
    const isSelected = e.detail;
    if (!isSelected) {
      this.value = undefined;
    }
    else {
      const card = e.target.closest('mx-selection-card, mx-library-selection-card');
      if (card && !card.disabled)
        this.value = card.value;
    }
  }
  updateCards() {
    const cards = this.element.querySelectorAll('mx-selection-card, mx-library-selection-card');
    cards.forEach(card => {
      card.selected = card.value === this.value;
    });
  }
  render() {
    return (h(Host, { class: "flex flex-wrap gap-10" }, h("slot", null), this.name && h("input", { type: "hidden", name: this.name, value: this.value })));
  }
  get element() { return this; }
  static get watchers() { return {
    "value": ["onValueChange"]
  }; }
}, [4, "mx-selection-card-group", {
    "name": [1],
    "value": [1032]
  }, [[0, "mxSelect", "onCardSelect"]]]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-selection-card-group"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-selection-card-group":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxSelectionCardGroup$1);
      }
      break;
  } });
}

const MxSelectionCardGroup = MxSelectionCardGroup$1;
const defineCustomElement = defineCustomElement$1;

export { MxSelectionCardGroup, defineCustomElement };

//# sourceMappingURL=mx-selection-card-group.js.map