import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$8 } from './mx-badge2.js';
import { d as defineCustomElement$7 } from './mx-checkbox2.js';
import { d as defineCustomElement$6 } from './mx-menu2.js';
import { d as defineCustomElement$5 } from './mx-menu-item2.js';
import { d as defineCustomElement$4 } from './mx-select2.js';
import { d as defineCustomElement$3 } from './mx-tab2.js';
import { d as defineCustomElement$2 } from './mx-tabs2.js';

const MxSubmenu$1 = proxyCustomElement(class MxSubmenu extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.mxChange = createEvent(this, "mxChange", 7);
    this.tabs = undefined;
    this.value = null;
  }
  componentDidLoad() {
    if (this.mxTabs)
      this.mxTabs.menuButton = this.menuButton;
  }
  render() {
    return (h(Host, { class: "mx-submenu relative flex h-60 rounded" }, h("div", { class: "flex-1 overflow-hidden mx-20" }, this.tabs && this.tabs.length && (h("mx-tabs", { ref: el => (this.mxTabs = el), submenu: true, tabs: this.tabs, value: this.value, onMxChange: e => this.mxChange.emit(e.detail) }, h("slot", { name: "menu", slot: "menu" })))), this.tabs && this.tabs.length && (h("button", { ref: el => (this.menuButton = el), "aria-label": "Show navigation menu", class: "hidden h-60 w-60 flex-shrink-0 items-center justify-center leading-none" }, h("i", { class: "mds-list text-2" })))));
  }
  get element() { return this; }
}, [4, "mx-submenu", {
    "tabs": [16],
    "value": [2]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-submenu", "mx-badge", "mx-checkbox", "mx-menu", "mx-menu-item", "mx-select", "mx-tab", "mx-tabs"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-submenu":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxSubmenu$1);
      }
      break;
    case "mx-badge":
      if (!customElements.get(tagName)) {
        defineCustomElement$8();
      }
      break;
    case "mx-checkbox":
      if (!customElements.get(tagName)) {
        defineCustomElement$7();
      }
      break;
    case "mx-menu":
      if (!customElements.get(tagName)) {
        defineCustomElement$6();
      }
      break;
    case "mx-menu-item":
      if (!customElements.get(tagName)) {
        defineCustomElement$5();
      }
      break;
    case "mx-select":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "mx-tab":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "mx-tabs":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const MxSubmenu = MxSubmenu$1;
const defineCustomElement = defineCustomElement$1;

export { MxSubmenu, defineCustomElement };

//# sourceMappingURL=mx-submenu.js.map