import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { p as propagateDataAttributes } from './utils.js';

const MxSwitch$1 = proxyCustomElement(class MxSwitch extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.dataAttributes = {};
    this.componentWillRender = propagateDataAttributes;
    this.name = '';
    this.value = '';
    this.labelClass = '';
    this.labelName = '';
    this.checked = false;
    this.userchecked = false;
    this.disabled = false;
  }
  onInput(e) {
    this.checked = this.userchecked = e.target.checked;
  }
  get switchClass() {
    let str = 'slider relative round flex-shrink-0';
    if (!this.disabled)
      str += ' cursor-pointer';
    str += this.userchecked ? ' userchecked' : '';
    return str;
  }
  get labelClassNames() {
    let str = 'relative inline-flex flex-nowrap align-center items-center text-4';
    if (!this.disabled)
      str += ' cursor-pointer';
    if (this.labelClass)
      str += ' ' + this.labelClass;
    return str;
  }
  render() {
    return (h(Host, { class: "mx-switch" }, h("label", { class: this.labelClassNames }, h("input", Object.assign({ class: "absolute h-0 w-0 opacity-0", role: "switch", type: "checkbox", name: this.name, value: this.value, disabled: this.disabled, checked: this.checked }, this.dataAttributes, { onInput: this.onInput.bind(this) })), h("div", { class: this.switchClass }), h("div", { class: "switch-label ml-16 inline-block", "data-testid": "labelName" }, this.labelName))));
  }
  get element() { return this; }
}, [0, "mx-switch", {
    "name": [1],
    "value": [1],
    "labelClass": [1, "label-class"],
    "labelName": [1, "label-name"],
    "checked": [1028],
    "userchecked": [1028],
    "disabled": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-switch"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-switch":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxSwitch$1);
      }
      break;
  } });
}

const MxSwitch = MxSwitch$1;
const defineCustomElement = defineCustomElement$1;

export { MxSwitch, defineCustomElement };

//# sourceMappingURL=mx-switch.js.map