import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const MxTabContent$1 = proxyCustomElement(class MxTabContent extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.index = undefined;
    this.value = undefined;
  }
  get isActiveTab() {
    return this.value >= 0 && this.index === this.value;
  }
  render() {
    return (h(Host, { class: !this.isActiveTab ? 'hidden' : '', role: "tabpanel" }, h("slot", null)));
  }
}, [4, "mx-tab-content", {
    "index": [2],
    "value": [2]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-tab-content"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-tab-content":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxTabContent$1);
      }
      break;
  } });
}

const MxTabContent = MxTabContent$1;
const defineCustomElement = defineCustomElement$1;

export { MxTabContent, defineCustomElement };

//# sourceMappingURL=mx-tab-content.js.map