import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const MxTableCell = proxyCustomElement(class MxTableCell extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.columnIndex = undefined;
    this.heading = undefined;
  }
  render() {
    return (h(Host, { role: "gridcell", "aria-describedby": this.columnIndex != null ? `column-header-${this.columnIndex}` : null, class: "mx-table-cell flex flex-1 items-center min-w-min overflow-y-hidden" }, h("div", null, h("div", { class: "min-h-16 max-w-full whitespace-normal", role: this.columnIndex == null ? 'heading' : null, "aria-level": this.columnIndex == null ? '1' : null }, h("slot", null)))));
  }
  get element() { return this; }
}, [4, "mx-table-cell", {
    "columnIndex": [514, "column-index"],
    "heading": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-table-cell"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-table-cell":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxTableCell);
      }
      break;
  } });
}

export { MxTableCell as M, defineCustomElement as d };

//# sourceMappingURL=mx-table-cell2.js.map