import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const COLLAPSE_TEXT_HEIGHT = '1.5em';
const MxTimelineCard$1 = proxyCustomElement(class MxTimelineCard extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.hasStatus = false;
    this.statusColor = undefined;
  }
  componentWillRender() {
    this.hasStatus = !!this.element.querySelector('[slot="status"]');
  }
  expandText() {
    this.cardTextEl.classList.remove('truncate');
    const twoLines = 2 * parseInt(getComputedStyle(this.cardTextEl).lineHeight);
    const expandHeight = Math.max(twoLines, this.cardTextEl.scrollHeight);
    this.cardTextEl.style.height = expandHeight + 'px';
  }
  collapseText() {
    this.cardTextEl.style.height = COLLAPSE_TEXT_HEIGHT;
    this.cardTextEl.classList.add('truncate');
  }
  render() {
    return (h(Host, { class: "mx-timeline-card", role: "listitem", style: { '--mds-timeline-card-status-color': this.statusColor }, tabindex: "0", onMouseOver: () => this.expandText(), onFocus: () => this.expandText(), onMouseOut: () => this.collapseText(), onBlur: () => this.collapseText() }, h("div", { class: "flex items-center w-24", role: "presentation" }, h("div", { class: "timeline-card-hook" })), h("div", { class: "w-10 rounded-l", role: "presentation", style: { backgroundColor: this.statusColor }, "data-testid": "status-indicator" }), h("div", { class: "timeline-card-content rounded-r overflow-hidden" }, h("div", { class: "timeline-card-date text-small font-bold uppercase" }, h("slot", { name: "date" })), h("div", { ref: el => (this.cardTextEl = el), class: "timeline-card-text break-anywhere truncate", style: { height: COLLAPSE_TEXT_HEIGHT } }, h("slot", null)), this.hasStatus && (h("div", { class: "timeline-card-status" }, h("slot", { name: "status" }))))));
  }
  get element() { return this; }
}, [4, "mx-timeline-card", {
    "statusColor": [1, "status-color"]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-timeline-card"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-timeline-card":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxTimelineCard$1);
      }
      break;
  } });
}

const MxTimelineCard = MxTimelineCard$1;
const defineCustomElement = defineCustomElement$1;

export { MxTimelineCard, defineCustomElement };

//# sourceMappingURL=mx-timeline-card.js.map