import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';

const MxToggleButtonGroup$1 = proxyCustomElement(class MxToggleButtonGroup extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.mxInput = createEvent(this, "mxInput", 7);
    this.value = undefined;
    this.required = false;
  }
  onValueChange() {
    this.updateChildButtons();
  }
  connectedCallback() {
    this.updateChildButtons();
  }
  onToggleButtonClick(e) {
    const toggleButton = e.target.closest('mx-toggle-button');
    if (!toggleButton || toggleButton.disabled)
      return;
    this.toggleValue(toggleButton.value);
    this.mxInput.emit(this.value);
  }
  toggleValue(value) {
    if (this.value !== value)
      this.value = value;
    else if (!this.required)
      this.value = null;
  }
  updateChildButtons() {
    const buttons = this.element.querySelectorAll('mx-toggle-button');
    buttons.forEach(button => (button.selected = button.value === this.value));
  }
  render() {
    return (h(Host, { class: "inline-flex", role: "radiogroup" }, h("slot", null)));
  }
  get element() { return this; }
  static get watchers() { return {
    "value": ["onValueChange"]
  }; }
}, [4, "mx-toggle-button-group", {
    "value": [1032],
    "required": [4]
  }, [[0, "click", "onToggleButtonClick"]]]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-toggle-button-group"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-toggle-button-group":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxToggleButtonGroup$1);
      }
      break;
  } });
}

const MxToggleButtonGroup = MxToggleButtonGroup$1;
const defineCustomElement = defineCustomElement$1;

export { MxToggleButtonGroup, defineCustomElement };

//# sourceMappingURL=mx-toggle-button-group.js.map