import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { r as ripple } from './ripple.js';
import { p as propagateDataAttributes } from './utils.js';

const MxToggleButton$1 = proxyCustomElement(class MxToggleButton extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.dataAttributes = {};
    this.componentWillRender = propagateDataAttributes;
    this.icon = undefined;
    this.selected = false;
    this.disabled = false;
    this.elAriaLabel = undefined;
    this.value = undefined;
  }
  onClick(e) {
    ripple(e, this.btnElem);
  }
  render() {
    return (h(Host, { class: "mx-toggle-button inline-flex overflow-hidden border-l\n      first-of-type:border-l-0 first-of-type:rounded-tl first-of-type:rounded-bl\n      last-of-type:rounded-tr last-of-type:rounded-br" }, h("button", Object.assign({ type: "button", class: 'btn-toggle inline-flex relative items-center justify-center w-48 h-48 text-1 overflow-hidden cursor-pointer disabled:cursor-auto disabled:pointer-events-none' +
        (this.selected ? ' selected' : ''), ref: el => (this.btnElem = el), disabled: this.disabled, role: this.value === undefined ? 'switch' : 'radio', "aria-checked": this.selected ? 'true' : 'false', "aria-label": this.elAriaLabel, onClick: this.onClick.bind(this) }, this.dataAttributes), h("slot", null), h("i", { class: this.icon }))));
  }
  get element() { return this; }
}, [4, "mx-toggle-button", {
    "icon": [1],
    "selected": [516],
    "disabled": [4],
    "elAriaLabel": [1, "el-aria-label"],
    "value": [8]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-toggle-button"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-toggle-button":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxToggleButton$1);
      }
      break;
  } });
}

const MxToggleButton = MxToggleButton$1;
const defineCustomElement = defineCustomElement$1;

export { MxToggleButton, defineCustomElement };

//# sourceMappingURL=mx-toggle-button.js.map