import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-b37ad95b.js';
import { p as propagateDataAttributes } from './utils-c62bee0c.js';

const MxBlockSearch = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.mxClear = createEvent(this, "mxClear", 7);
    this.mxSearch = createEvent(this, "mxSearch", 7);
    this.dataAttributes = {};
    this.componentWillRender = propagateDataAttributes;
    this.assistiveText = undefined;
    this.autofocus = false;
    this.colspan = undefined;
    this.disabled = false;
    this.error = false;
    this.inputId = undefined;
    this.label = undefined;
    this.maxlength = undefined;
    this.name = undefined;
    this.placeholder = undefined;
    this.readonly = false;
    this.searchButtonType = 'button';
    this.value = undefined;
  }
  onSearchClick() {
    this.mxSearch.emit(this.value);
  }
  render() {
    return (h(Host, { class: "mx-block-search contents" }, h("mx-block-input", Object.assign({ type: "search", assistiveText: this.assistiveText, autofocus: this.autofocus, colspan: this.colspan, disabled: this.disabled, error: this.error, inputId: this.inputId, maxlength: this.maxlength, label: this.label, name: this.name, placeholder: this.placeholder, readonly: this.readonly, value: this.value, onInput: (e) => (this.value = e.target.value), onMxClear: this.mxClear.emit.bind(this) }, this.dataAttributes), h("slot", { name: "label", slot: "label" }), h("mx-button", { slot: "button", type: this.searchButtonType, class: !this.value ? 'hidden' : '', hug: true, small: true, "data-testid": "search-button", onClick: this.onSearchClick.bind(this) }, "Search"))));
  }
  get element() { return getElement(this); }
};

export { MxBlockSearch as mx_block_search };

//# sourceMappingURL=mx-block-search.entry.js.map