import { r as registerInstance, h, H as Host, g as getElement } from './index-b37ad95b.js';
import { p as propagateDataAttributes } from './utils-c62bee0c.js';

const MxBlockWrapper = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.componentWillRender = propagateDataAttributes;
    this.columns = undefined;
  }
  get containerClass() {
    let str = 'mx-block-wrapper-container';
    if (this.columns > 0 && this.columns < 7) {
      str += ' md:grid-cols-' + this.columns;
    }
    else {
      str += ' md:grid-cols-none';
    }
    return str;
  }
  render() {
    return (h(Host, { class: 'mx-block-wrapper' }, h("div", { class: this.containerClass }, h("slot", null))));
  }
  get element() { return getElement(this); }
};

export { MxBlockWrapper as mx_block_wrapper };

//# sourceMappingURL=mx-block-wrapper.entry.js.map