import { r as registerInstance, h, H as Host, g as getElement } from './index-b37ad95b.js';
import { m as moveToPortal } from './portal-454743b1.js';

const MxFloatingToolbar = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.portal = false;
  }
  componentWillLoad() {
    this.element.querySelectorAll('mx-button').forEach((button) => {
      button.btnType = 'contained';
      button.hug = true;
    });
  }
  componentDidLoad() {
    if (this.portal)
      moveToPortal(this.element);
  }
  render() {
    return (h(Host, { role: "toolbar", class: "mx-floating-toolbar grid h-60 fixed bottom-10 left-10 right-10 max-w-sm mx-auto rounded-md overflow-hidden" }, h("slot", null)));
  }
  get element() { return getElement(this); }
};

export { MxFloatingToolbar as mx_floating_toolbar };

//# sourceMappingURL=mx-floating-toolbar.entry.js.map