import { r as registerInstance, h, H as Host, g as getElement } from './index-b37ad95b.js';

const MxSelectionCardGroup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.name = undefined;
    this.value = undefined;
  }
  async onValueChange() {
    this.updateCards();
    if (this.name) {
      await new Promise(requestAnimationFrame);
      const input = this.element.querySelector('input');
      if (input)
        input.dispatchEvent(new Event('input', { bubbles: true }));
    }
  }
  connectedCallback() {
    this.updateCards();
  }
  onCardSelect(e) {
    const isSelected = e.detail;
    if (!isSelected) {
      this.value = undefined;
    }
    else {
      const card = e.target.closest('mx-selection-card, mx-library-selection-card');
      if (card && !card.disabled)
        this.value = card.value;
    }
  }
  updateCards() {
    const cards = this.element.querySelectorAll('mx-selection-card, mx-library-selection-card');
    cards.forEach(card => {
      card.selected = card.value === this.value;
    });
  }
  render() {
    return (h(Host, { class: "flex flex-wrap gap-10" }, h("slot", null), this.name && h("input", { type: "hidden", name: this.name, value: this.value })));
  }
  get element() { return getElement(this); }
  static get watchers() { return {
    "value": ["onValueChange"]
  }; }
};

export { MxSelectionCardGroup as mx_selection_card_group };

//# sourceMappingURL=mx-selection-card-group.entry.js.map