import { r as registerInstance, h, H as Host, g as getElement } from './index-b37ad95b.js';

const COLLAPSE_TEXT_HEIGHT = '1.5em';
const MxTimelineCard = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.hasStatus = false;
    this.statusColor = undefined;
  }
  componentWillRender() {
    this.hasStatus = !!this.element.querySelector('[slot="status"]');
  }
  expandText() {
    this.cardTextEl.classList.remove('truncate');
    const twoLines = 2 * parseInt(getComputedStyle(this.cardTextEl).lineHeight);
    const expandHeight = Math.max(twoLines, this.cardTextEl.scrollHeight);
    this.cardTextEl.style.height = expandHeight + 'px';
  }
  collapseText() {
    this.cardTextEl.style.height = COLLAPSE_TEXT_HEIGHT;
    this.cardTextEl.classList.add('truncate');
  }
  render() {
    return (h(Host, { class: "mx-timeline-card", role: "listitem", style: { '--mds-timeline-card-status-color': this.statusColor }, tabindex: "0", onMouseOver: () => this.expandText(), onFocus: () => this.expandText(), onMouseOut: () => this.collapseText(), onBlur: () => this.collapseText() }, h("div", { class: "flex items-center w-24", role: "presentation" }, h("div", { class: "timeline-card-hook" })), h("div", { class: "w-10 rounded-l", role: "presentation", style: { backgroundColor: this.statusColor }, "data-testid": "status-indicator" }), h("div", { class: "timeline-card-content rounded-r overflow-hidden" }, h("div", { class: "timeline-card-date text-small font-bold uppercase" }, h("slot", { name: "date" })), h("div", { ref: el => (this.cardTextEl = el), class: "timeline-card-text break-anywhere truncate", style: { height: COLLAPSE_TEXT_HEIGHT } }, h("slot", null)), this.hasStatus && (h("div", { class: "timeline-card-status" }, h("slot", { name: "status" }))))));
  }
  get element() { return getElement(this); }
};

export { MxTimelineCard as mx_timeline_card };

//# sourceMappingURL=mx-timeline-card.entry.js.map