function ripple(e, elem) {
  const existingRipple = elem.querySelector('.ripple');
  if (existingRipple)
    existingRipple.remove();
  const ripple = document.createElement('span');
  ripple.classList.add('ripple');
  elem.prepend(ripple);
  const diameter = Math.max(elem.clientWidth, elem.clientHeight);
  ripple.style.width = ripple.style.height = diameter + 'px';
  const elemOffset = elem.getBoundingClientRect();
  const left = Math.max(e.clientX - elemOffset.left, 0);
  const top = Math.max(e.clientY - elemOffset.top, 0);
  ripple.style.left = left - diameter / 2 + 'px';
  ripple.style.top = top - diameter / 2 + 'px';
  setTimeout(() => {
    ripple.remove();
  }, 300);
}

export { ripple as r };

//# sourceMappingURL=ripple-2c94bd92.js.map