import { EventEmitter } from '../../stencil-public-runtime';
import { IMxBlockInputProps } from '../mx-block-input/mx-block-input';
interface IMxAutocompleteProps extends IMxBlockInputProps {
  filterOptions: boolean | ((inputValue: string, option: any) => boolean);
  inputTag: string;
  optionGroups: string[];
  optionIcon?: string | ((option: any) => string);
  optionLabel?: string | ((option: any) => string);
  options?: any[];
  setValueOnSelect: boolean;
}
export declare class MxAutocomplete implements IMxAutocompleteProps {
  inputEl: HTMLMxBlockInputElement;
  menuEl: HTMLMxMenuElement;
  filterOptions: boolean | ((inputValue: string, option: any) => boolean);
  inputTag: string;
  optionGroups: string[];
  optionIcon: string | ((option: any) => string);
  optionLabel: string;
  options: any[];
  setValueOnSelect: boolean;
  assistiveText: string;
  autofocus: boolean;
  colspan: number;
  disabled: boolean;
  error: boolean;
  inputId: string;
  label: string;
  maxlength: number;
  name: string;
  placeholder: string;
  readonly: boolean;
  type: string;
  value: string;
  isFocused: boolean;
  element: HTMLMxAutocompleteElement;
  mxSelect: EventEmitter<any>;
  mxClear: EventEmitter<void>;
  componentDidLoad(): Promise<void>;
  get filterFunction(): (inputValue: string, option: any) => boolean;
  get visibleOptions(): any[];
  get showNoResults(): boolean;
  onSelect(option: any): Promise<void>;
  defaultFilter(value: string, option: any): boolean;
  renderOption(option: any, index?: number): any;
  renderOptionItem(option: any): any;
  renderOptionGroup(option: any, index: number): any;
  getOptionLabel(option: any): string;
  getOptionIcon(option: any): string;
  render(): any;
}
export {};
