import { EventEmitter } from '../../stencil-public-runtime';
import { BtnType } from '../mx-button/mx-button';
interface IMxBlockFileInputProps {
  accept?: string;
  acceptImage?: boolean;
  acceptPdf?: boolean;
  assistiveText?: string;
  chooseBtnType?: BtnType;
  chooseFileText?: string;
  colspan?: number;
  disabled?: boolean;
  error?: boolean;
  filename?: string;
  inputId?: string;
  label: string;
  name?: string;
  placeholder?: string;
  readonly?: boolean;
  thumbnailSize?: 'cover' | 'stretch' | 'contain' | 'auto';
  thumbnailUrl?: string;
}
export declare class MxBlockFileInput implements IMxBlockFileInputProps {
  fileInput: HTMLInputElement;
  uuid: string;
  accept: string;
  acceptImage: boolean;
  acceptPdf: boolean;
  assistiveText: string;
  chooseBtnType: BtnType;
  chooseFileText: string;
  colspan: number;
  disabled: boolean;
  error: boolean;
  filename: string;
  inputId: string;
  label: string;
  name: string;
  placeholder: string;
  readonly: boolean;
  thumbnailSize: 'cover' | 'stretch' | 'contain' | 'auto';
  thumbnailUrl: string;
  thumbnailDataUri: string;
  element: HTMLMxBlockFileInputElement;
  mxThumbnailChange: EventEmitter<string>;
  onThumbnailUrlChange(): void;
  connectedCallback(): void;
  removeFile(): Promise<void>;
  selectFile(): Promise<void>;
  onFocus(): void;
  onInput(e: InputEvent): void;
  setThumnailDataUri(file: File): void;
  getElementId(suffix?: string): string;
  get isFileSelected(): boolean;
  get acceptString(): string;
  get thumbnailBackgroundImage(): string;
  get thumbnailBackgroundSize(): string;
  get hostClass(): string;
  get containerClass(): string;
  render(): any;
}
export {};
