import { propagateDataAttributes } from '../../utils/utils';
export type BtnType = 'contained' | 'outlined' | 'simple' | 'text' | 'action';
export type ButtonTypeAttribute = 'button' | 'submit' | 'reset';
export interface IMxButtonProps {
  btnType?: BtnType;
  type?: ButtonTypeAttribute;
  value?: string;
  form?: string;
  formaction?: string;
  disabled?: boolean;
  xl?: boolean;
  href?: string;
  target?: string;
  full?: boolean;
  hug?: boolean;
  small?: boolean;
  dropdown?: boolean;
  icon?: string;
  elAriaLabel?: string;
}
export declare class MxButton implements IMxButtonProps {
  btnElem: HTMLButtonElement;
  anchorElem: HTMLAnchorElement;
  dataAttributes: {};
  btnType: BtnType;
  elAriaDescribedBy: string;
  elAriaLabel: string;
  elAriaLabelledBy: string;
  elAriaPressed: boolean | null;
  type: ButtonTypeAttribute;
  value: string;
  form: string;
  formaction: string;
  disabled: boolean;
  xl: boolean;
  href: string;
  target: string;
  full: boolean;
  hug: boolean;
  small: boolean;
  dropdown: boolean;
  icon: string;
  element: HTMLMxButtonElement;
  componentWillRender: typeof propagateDataAttributes;
  onClick(e: MouseEvent): void;
  get buttonClass(): string;
  connectedCallback(): void;
  render(): any;
}
