import { EventEmitter } from '../../stencil-public-runtime';
export type DialogOptions = {
  cancelLabel?: string;
  confirmLabel?: string;
  heading?: string;
};
export declare class MxDialog {
  backdrop: HTMLElement;
  modal: HTMLElement;
  focusElements: HTMLElement[];
  firstFocusElement: HTMLElement;
  lastFocusElement: HTMLElement;
  ancestorFocusedElement: HTMLElement;
  deferredResolve: (value: unknown) => void;
  isSimple: boolean;
  hasButtons: boolean;
  hasHeading: boolean;
  uuid: string;
  heading: string;
  message: string;
  confirmLabel: string;
  cancelLabel: string;
  isOpen: boolean;
  modalClass: string;
  isVisible: boolean;
  element: HTMLMxModalElement;
  mxClose: EventEmitter<void>;
  onIsOpenChange(): void;
  onKeyDown(e: KeyboardEvent): void;
  alert(message: string, { confirmLabel, cancelLabel, heading }?: DialogOptions): Promise<void>;
  confirm(message: string, { confirmLabel, cancelLabel, heading }?: DialogOptions): Promise<boolean>;
  componentWillRender(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  open(message: string, { cancelLabel, confirmLabel, heading }?: DialogOptions): Promise<any>;
  showDialog(): Promise<void>;
  closeDialog(isConfirmed?: boolean): Promise<void>;
  getFocusElements(): void;
  get hostClass(): string;
  get modalClassNames(): string;
  render(): any;
}
