import { propagateDataAttributes } from '../../utils/utils';
export interface IMxInputProps {
  name: string;
  inputId: string;
  label: string;
  placeholder: string;
  value: string;
  type: string;
  dense: boolean;
  autofocus: boolean;
  disabled: boolean;
  readonly: boolean;
  maxlength: number;
  leftIcon: string | MxInputIcon[];
  rightIcon: string | MxInputIcon[];
  suffix: string;
  outerContainerClass: string;
  labelClass: string;
  error: boolean;
  assistiveText: string;
  floatLabel: boolean;
  textarea: boolean;
  textareaHeight: string;
  elAriaLabel: string;
  hideCharacterCount: boolean;
  step: string;
  clearErrorOnFocus: boolean;
}
export type MxInputIcon = {
  icon: string;
  ariaLabel?: string;
  onClick?: (event: MouseEvent) => void;
};
export declare class MxInput implements IMxInputProps {
  dataAttributes: {};
  textInput: HTMLInputElement;
  textArea: HTMLTextAreaElement;
  uuid: string;
  name: string;
  inputId: string;
  label: string;
  placeholder: string;
  value: string;
  type: string;
  dense: boolean;
  autofocus: boolean;
  disabled: boolean;
  readonly: boolean;
  maxlength: number;
  leftIcon: string | MxInputIcon[];
  rightIcon: string | MxInputIcon[];
  suffix: string;
  outerContainerClass: string;
  labelClass: string;
  error: boolean;
  assistiveText: string;
  floatLabel: boolean;
  textarea: boolean;
  textareaHeight: string;
  elAriaLabel: string;
  hideCharacterCount: boolean;
  step: string;
  clearErrorOnFocus: boolean;
  isFocused: boolean;
  characterCount: number;
  element: HTMLMxInputElement;
  connectedCallback(): void;
  componentWillRender: typeof propagateDataAttributes;
  componentDidLoad(): void;
  onValueChange(): void;
  updateValue(): void;
  onFocus(): void;
  onBlur(): void;
  onContainerClick(): void;
  onInput(e: InputEvent): void;
  getIconJsx(icon: MxInputIcon): any;
  get workingElem(): HTMLInputElement | HTMLTextAreaElement;
  get hasValue(): boolean;
  get containerClass(): string;
  get inputClass(): string;
  get labelClassNames(): string;
  get leftIconWrapperClass(): string;
  get rightContentClass(): string;
  get textareaClass(): "" | " textarea items-start";
  get leftIcons(): MxInputIcon[];
  get rightIcons(): MxInputIcon[];
  render(): any;
}
