import { EventEmitter } from '../../stencil-public-runtime';
import { MinWidths } from '../../utils/minWidthSync';
export interface IMxMenuItemProps {
  checked?: boolean;
  disabled?: boolean;
  icon?: string;
  label?: string;
  multiSelect?: boolean;
}
export declare class MxMenuItem implements IMxMenuItemProps {
  menuItemElem: HTMLElement;
  role: string;
  submenu: HTMLMxMenuElement;
  slotWrapper: HTMLElement;
  submenuDelayTimeout: any;
  hasParentLink: boolean;
  checked: boolean;
  disabled: boolean;
  icon: string;
  label: string;
  subtitle: string;
  multiSelect: boolean;
  selected: boolean;
  minWidths: MinWidths;
  accordion: HTMLMxMenuAccordionElement;
  element: HTMLMxMenuItemElement;
  mxClick: EventEmitter<MouseEvent>;
  onMouseEnter(): void;
  onMouseLeave(): void;
  onFocus(): void;
  onKeyDown(e: KeyboardEvent): void | Promise<void>;
  componentWillLoad(): void;
  componentDidLoad(): void;
  connectedCallback(): void;
  disconnectedCallback(): void;
  closeAccordion(skipTransition?: boolean): Promise<boolean>;
  closeSubMenu(): Promise<boolean>;
  getValue(): Promise<string>;
  focusMenuItem(): Promise<void>;
  onKeyDownAccordion(e: KeyboardEvent): void;
  onKeyDownSubMenu(e: KeyboardEvent): Promise<void>;
  closeSiblingSubMenus(): void;
  openSubMenu(): Promise<boolean>;
  onClick(e: MouseEvent): void;
  get checkboxLabel(): string;
  render(): any;
}
