import { EventEmitter } from '../../stencil-public-runtime';
export type PageChangeEventDetail = {
  rowsPerPage: number;
  page: number;
};
export declare class MxPagination {
  rowsMenuAnchor: HTMLElement;
  rowsMenu: HTMLMxMenuElement;
  resizeObserver: ResizeObserver;
  breakpoint: number;
  page: number;
  rowsPerPageOptions: number[];
  rowsPerPage: number;
  totalRows: number;
  disabled: boolean;
  disableNextPage: boolean;
  hideRangeAndRowsPerPage: boolean;
  element: HTMLMxPaginationElement;
  mxPageChange: EventEmitter<PageChangeEventDetail>;
  componentDidLoad(): void;
  setBreakpoint(): Promise<void>;
  updateResponsiveElements(): void;
  onClickFirstPage(): void;
  onClickPreviousPage(): void;
  onClickPageNumber(page: number): void;
  onClickNextPage(): void;
  onClickLastPage(): void;
  onChangeRowsPerPage(rowsPerPage: number): void;
  get isPreviousPageDisabled(): boolean;
  get isNextPageDisabled(): boolean;
  get isFirstPageDisabled(): boolean;
  get isLastPageDisabled(): boolean;
  get lastPage(): number;
  get pageNumbers(): number[];
  get currentRange(): string;
  get pageNumberGridStyle(): Record<string, string>;
  render(): any;
}
