import { EventEmitter } from '../../stencil-public-runtime';
import { ITableRowAction } from '../mx-table/mx-table';
import DragScroller from '../../utils/DragScroller';
export declare class MxTableRow {
  actionMenuButton: HTMLMxIconButtonElement;
  actionMenu: HTMLMxMenuElement;
  checkbox: HTMLMxCheckboxElement;
  dragOrigin: {
    x: number;
    y: number;
  };
  dragShadowEl: HTMLElement;
  firstCellTarget: HTMLElement;
  childRowWrapper: HTMLElement;
  keyboardDragHandle: HTMLElement;
  dragScroller: DragScroller;
  indentLevel: number;
  columnCount: number;
  isHidden: boolean;
  rowId: string;
  actions: ITableRowAction[];
  doNotCollapse: boolean;
  doNotDrag: boolean;
  rowIndex: number;
  checked: boolean;
  collapseNestedRows: boolean;
  subheader: boolean;
  element: HTMLMxTableRowElement;
  checkable: boolean;
  checkOnRowClick: boolean;
  isDraggable: boolean;
  isDragging: boolean;
  mxCheck: EventEmitter<{
    rowId: string;
    checked: boolean;
  }>;
  mxRowDragStart: EventEmitter<{
    isKeyboard: boolean;
  }>;
  mxRowDragEnd: EventEmitter<{
    isKeyboard: boolean;
    isCancel: boolean;
  }>;
  mxDragKeyDown: EventEmitter<string>;
  mxRowAccordion: EventEmitter<void>;
  onCollapseNestedRowsChange(): void;
  translateRow(x: number, y: number): Promise<void>;
  toggle(hideRow: boolean, skipTransition: boolean): Promise<void>;
  connectedCallback(): void;
  componentDidLoad(): void;
  componentWillRender(): void;
  componentDidRender(): void;
  setIndentLevel(): void;
  toggleNestedRows(skipTransition?: boolean): void;
  wrapFirstColumn(): void;
  moveNestedRows(): void;
  onClick(e: MouseEvent): void;
  onMouseOver(e: MouseEvent): void;
  onMouseOut(e: MouseEvent): void;
  onKeyboardHandleKeyDown(e: KeyboardEvent): void;
  startDragging(e: MouseEvent | TouchEvent | KeyboardEvent): Promise<void>;
  addDragListeners(startEvent: MouseEvent | TouchEvent | KeyboardEvent): void;
  stopDragging(isKeyboard?: boolean, isCancel?: boolean): Promise<void>;
  createDragShadowEl(): Promise<void>;
  accordion(): void;
  focusDragHandle(): Promise<void>;
  getChildren(): Promise<HTMLElement[]>;
  getNestedRowIndexes(): Promise<number[]>;
  getHeight(): Promise<number>;
  onTransitionEnd(e: any): void;
  onCheckboxInput(e: InputEvent): void;
  get rowEl(): HTMLElement;
  get rowClass(): string;
  get indentStyle(): {
    width: string;
  };
  render(): any;
}
