export type TransitionOptions = {
  property: string;
  startValue: string;
  endValue: string;
  timing: string;
};
export declare enum Direction {
  top = "top",
  right = "right",
  bottom = "bottom",
  left = "left"
}
export declare const fadeIn: (el: HTMLElement, duration?: number) => Promise<void>;
export declare const fadeOut: (el: HTMLElement, duration?: number) => Promise<void>;
export declare const fadeScaleIn: (el: HTMLElement, duration?: number, transformOrigin?: string) => Promise<void>;
export declare const fadeSlideIn: (el: HTMLElement, duration?: number, fromDirection?: Direction, timing?: string) => Promise<void>;
export declare const fadeSlideOut: (el: HTMLElement, duration?: number, toDirection?: Direction, timing?: string) => Promise<void>;
export declare const slideIn: (el: HTMLElement, duration?: number, fromDirection?: Direction, timing?: string) => Promise<void>;
export declare const slideOut: (el: HTMLElement, duration?: number, toDirection?: Direction, timing?: string) => Promise<void>;
export declare const collapse: (el: HTMLElement, duration?: number, collapsedHeight?: string) => Promise<void>;
export declare const expand: (el: HTMLElement, duration?: number) => Promise<void>;
